name: JustKnit
lowCaseName: justknit
description: MODX3 Extra to Calculate Knitting Projects on Web for MODX Revolution 3.x
author: Iris Hammer
namespace: JustKnit
version: 0.0.1-beta1

menus:
  - text: justknit.menu
    description: justknit.menu_desc
    action: home
    parent: components
context:
  - key: justknit
    name: JustKnit
    description: "Kontext für die PWA von JustKnit"
categories:
  - name: JustKnit
systemSettings:
  - key: jk.ds24_typage_key
    area: general
    value: qouCHs2EAgW4fhenKXle
    namespace: justknit
chunks:
  - name: JustKnit.DS24TrackingPixel
    description: "Dankeseite-Besuch Von Digistore24 per Tracking-Pixel verfolgen"
    file: "DS24TrackingPixel.chunk.tpl"
  - name: JustKnit.DS24KeyRtnChunk
    file: "DS24KeyRtnChunk.chunk.tpl"
    description: "Key from DS24 JsonResponse. This is used as a salutation in the Digistore24 confirmation email. This chunk is for returning users"
  - name: JustKnit.DS24KeyChunk
    file: "DS24KeyChunk.chunk.tpl"
    description: "Key from DS24 JsonResponse. This is used as a salutation in the Digistore24 confirmation email. This chunk is for new users"
  - name: JustKnit.DS24HeadRtnChunk
    file: "DS24HeadRtnChunk.chunk.tpl"
    description: "Header of DS24 JsonResponse. This is used as a salutation in the Digistore24 confirmation email. This chunk is for returning users"
  - name: JustKnit.DS24HeadChunk
    file: "DS24HeadChunk.chunk.tpl"
    description: "Header of DS24 JsonResponse. This is used as a salutation in the Digistore24 confirmation email. This chunk is for new users"
  - name: jkInputShow
    file: "jkInputShow.chunk.tpl"
    description: "shown input for calc"
  - name: jkInputHidden
    file: "jkInputHidden.chunk.tpl"
    description: "hidden input for calc"
  - name: jkForgotPassEmail
    file: "jkForgotPassEmail.chunk.tpl"
    description: "Email for forgot password"
  - name: jkBurgerOffCanvasCalc
    file: "jkBurgerOffCanvasCalc.chunk.tpl"
    description: "Burgermenu with OffCanvas and submenu for calcs"
  - name: jkBurgerOffCanvas
    file: "jkBurgerOffCanvas.chunk.tpl"
    description: "Burgermenu with OffCanvas"
  - name: jk.Glossary.listItemTpl
    file: "jk.Glossary.listItemTpl.chunk.tpl"
    description: "bootstrap accordion item for glossary term"
  - name: jk.Glossary.highlighterTpl
    file: "jk.Glossary.highlighterTpl.chunk.tpl"
    description: "shows bootstrap popover for glossary terms"
snippets:
  - name: UserInfo
    file: "userinfo.snippet.php"
    description: "Shows Session Info in log"
  - name: ThankYouPageDS24
    file: "thankyoupageds24.snippet.php"
    description: "First page user accesses directly from DS24"
  - name: jsonLex
    file: "jsonlex.snippet.php"
    description: "Load all lexicon Strinds in Template for Javascript use"
  - name: jkDate
    file: "jkdate.snippet.php"
    description: "shows the actual Date (for Footer and Navigation use)"
  - name: IpnDS24
    file: "ipnds24.snippet.php"
    description: "handles transactions of payment from DS24 for payment, a refund or a chargeback (IPN)"
  - name: GoBack
    file: "goback.snippet.php"
    description: "generate a link to previous page with javascript or link to site_url. "
  - name: ClientUpdateProfile
    file: "clientupdateprofile.snippet.php"
    description: "handles update of User Profile and JustKnitClientMeta"
  - name: ClientResetPassword
    file: "clientresetpassword.snippet.php"
    description: "handles forgot password of client after confirmation mail"
  - name: ClientLogin
    file: "clientlogin.snippet.php"
    description: "handles Client Login"
  - name: ClientForgotPassword
    file: "clientforgotpassword.snippet.php"
    description: "handles forgot password of client"
  - name: ClientData
    file: "clientdata.snippet.php"
    description: "outputs all user and client data in placeholders"
  - name: ClientChangePassword
    file: "clientchangepassword.snippet.php"
    description: "handles change password of user input"
  - name: RegisterDS24
    file: "registerds24.snippet.php"
    description: "First page user accesses directly from DS24"
  - name: Calculate
    file: "calculate.snippet.php"
    description: "handles shown and hidden fields and processes calculate forms"

templates:
  - name: Basis
    description: "Die Basisseite von JustKnit"
    file: "justknitbasis.template.tpl"
  - name: Calc
    description: "Für alle Berechnungen mit Burgermenü mit Untermenü"
    file: "justknitcalc.template.tpl"
    icon: "fa-calculator"
  - name: Client
    description: "Template für die Client Seiten: Profil bearbeiten, Passwort ändern"
    file: "justknitclient.template.tpl"
    icon: "fa-user-lock"
  - name: Home
    description: "Template für die Startseite, Dankeseite, Impressum, Datenschutz"
    file: "justknithome.template.tpl"
    icon: "fa-home"
  - name: Member
    description: "Template für die Member Seiten: Fehlerseiten, Login, Passwort zurücksetzen"
    file: "justknitmember.template.tpl"
    icon: "fa-id-badge"


build:
  readme: "README.md"

database:
  tables:
    - JustKnit\Model\JustKnitClientMeta
    - JustKnit\Model\JustKnitOrder
    - JustKnit\Model\JustKnitCalc
    - JustKnit\Model\JustKnitDim
    - JustKnit\Model\JustKnitProduct


